import { addRouteRegistrationHandler } from 'app/routes/registry';
import LicensePage from './licensing/LicensePage';
import DataSourcePermissions from './permissions/DataSourcePermissions';
import { addRootReducer } from 'app/store/configureStore';
import dataSourcePermissionReducers from './permissions/state/reducers';

addRootReducer({...dataSourcePermissionReducers});

addRouteRegistrationHandler($routeProvider => {
  $routeProvider
    .when('/admin/licensing', {
      template: '<react-container />',
      resolve: {
        roles: () => ['Admin'],
        component: () => LicensePage,
      },
    })
    .when('/datasources/edit/:id/permissions', {
      template: '<react-container />',
      resolve: {
        component: () => DataSourcePermissions,
      },
    });
});
